Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Tue 30 Jun 2015, 10:52
All times are UTC - 4
 Forum index » House Training » Users ( For the regulars ) » Pour les francophones
[Résolu] librairies manquantes
Moderators: Béèm, darkerror05
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 1 of 2 Posts_count   Goto page: 1, 2 Next
Author Message
jopervasco


Joined: 25 Mar 2011
Posts: 480
Location: France

PostPosted: Sat 06 Jun 2015, 03:15    Post_subject:  [Résolu] librairies manquantes  

Bonjour

il m'arrive de temps en temps de vouloir installer des programmes (issu de Debian par exemple) et souvent il manque des librairies...

Pas exemple il me manque : libQt5Network.so.5

1) où trouver ces librairies ?
2) comment les installer ?

merci de vote aide et si quelqu'un pouvait faire un tuto (je veux bien m'en charger mais il me faut un peu de doc...)

Bien à vous

Cordialement

Edited_time_total
Back to top
View user's profile Send_private_message Visit_website 
augras

Joined: 11 Nov 2013
Posts: 1082
Location: france

PostPosted: Sat 06 Jun 2015, 03:53    Post_subject:  

Bonjour,
En l'occurrence il s'agit apparemment d'une librairir QT5.... pas au-delà de 4,xx sous puppy sauf sit u es sous tahrpup : qt5 a été compilé et fonctionne pour tahrpup.
Sinon je fais généralement une recherche sur libxxxxx.deb et j'arrive généralement à trouver la librairie manquante. Souvent il faut tout de même faire un lien symbolique avec le nom exact réclamé par le programme que tu veux installer : si tu as récupéré la libxxxx.so.5.0.3 et qu'il réclame libxxxx.so.5.0 tu fais un lien symbolique vers le premier que tu nommes comme demandé.
Parfois un lien symbolique vers une version plus ancienne suffit.
Philippe
Back to top
View user's profile Send_private_message 
Pelo


Joined: 10 Sep 2011
Posts: 4727
Location: Mer méditerrannée (1 kms°)

PostPosted: Sat 06 Jun 2015, 04:07    Post_subject: Lib manquante, essayer une plus vieille.  

Pour compléter ce que dit Augras :
" tu peux contourner parfois la lib demandée,si tu ne l'as pas, en faisant un lien sur une lib plus ancienne."
La libqt5network peut (peut-être) être liée a libQtnetwork (1362ko). Je ne sais pas, faut essayer, on ne risque rien.
J'ai dans ma caisse à clous les principales librairies Qt4. Elles sont passe-partout, y compris sur Tahrpup.
Comment se les procurer ? Moi j'ai pompé les libs QT les plus récentes (Qt4.. pas Qt5) sur Tellico, l'application des collectionneurs. Je fais un lien relatif sur la lib signalée manquante en console. Et çà roule Very Happy
Pour l'instant, pas une appli Qt ne m'a résisté sur Tahrpup. (et sur ASRI edu 310 dans une moindre mesure)
Je vais pomper les libs QT5 de tahrpup pour les mettre dans ma caisse. Elles serviront sans doute.
Le tuto : tu es en quelle classe Puppy : débutant, habitué, aspirant programmeur ? Je dois avoir une vidéo Youtube sur le sujet... Ben non, je l'ai effacée. 
capture10825.png
 Description   ma caisse Qt4
 Filesize   23.79 KB
 Viewed   170 Time(s)

capture10825.png


_________________
Root is the glass, Pelo wants the wine.
Back to top
View user's profile Send_private_message YIM 
Pelo


Joined: 10 Sep 2011
Posts: 4727
Location: Mer méditerrannée (1 kms°)

PostPosted: Sat 06 Jun 2015, 04:52    Post_subject: Librairies manquantes : les nécessaires et les superflues  

Part II : Les librairies signalées manquantes pour les paquets Debian demandent reflexion. Toutes ne sont pas indispensables. Si comme moi on ne parle ni anglais, ni linux, et qu'on est débutant, comment choisir ?
Puppy avait un service pour çà autrefois. De braves gens qui nous potassaient les paquets avec juste ce qu'il faut pour Puppy. Des cuistots de premier plan à notre service. C'était avant...

Taper dans pfind la racine de la lib demandée, cocher fichiers système.Si tu trouves un lib que tu penses pouvoir utiliser, Tu te mets dessus, action, créer lien relatif, et tu tapes la lib manquante demandée.
Si je ne trouve pas dans fichiers système, je cherche dans fichiers personnels, mais il faut avoir fait des fichiers persos (mes caisses à outils). Si pfind trouve je fais copier avec lien relatif dans /usr/lib/

çà fonctionne pour les évolutions de versions.
svg.jpg
 Description   Pour symphytum, j'ai les libs, je les copie par lien relatif. 
 Filesize   60.7 KB
 Viewed   151 Time(s)

svg.jpg


_________________
Root is the glass, Pelo wants the wine.
Back to top
View user's profile Send_private_message YIM 
jopervasco


Joined: 25 Mar 2011
Posts: 480
Location: France

PostPosted: Sun 07 Jun 2015, 13:29    Post_subject:  

Bonjour
merci de vos réponses

par exemple en voulant installer Calbre (QuickPet office&other) l'installation se passe bien mais au moment de l'exécution
Code:
root# calibre
Segmentation fault
root#


j'ai un peu cherché sur les forums et je crois avoir compris que la nouvelle version est passée en qt5 mais comme je suis fâché avec l'anglais je ne sais pas trop comment réparer

Nb je suis sous Tahr 6.0.2

merci à vous

_________________
Puppy Linux vraiment sympa Smile
Back to top
View user's profile Send_private_message Visit_website 
augras

Joined: 11 Nov 2013
Posts: 1082
Location: france

PostPosted: Sun 07 Jun 2015, 14:00    Post_subject:  

Bonsoir,
Pout tahr tu as le sfs de qt5.2.1 et si besoin le devx qui va avec dans ce post : http://murga-linux.com/puppy/viewtopic.php?t=96178&start=690
J'utilise le sfs qt5.2.1 et pas de problème : tout fonctionne bien.... y compris les applix qt qui nécessitent une version 5.
Philippe
Back to top
View user's profile Send_private_message 
did18

Joined: 19 Nov 2014
Posts: 100

PostPosted: Tue 09 Jun 2015, 04:08    Post_subject:  

Bonjour à tous

jopervasco, en général les 'packages' de Puppy Tahrpup correspondent a ceux de Ubuntu Trusty…
Pour ce qui me concerne, lorsque j'ai besoin d'un 'lib' concernant Tahpup, je vais là :

http://packages.ubuntu.com/search?keywords=libqt5

Bonne journée.
Back to top
View user's profile Send_private_message 
Pelo


Joined: 10 Sep 2011
Posts: 4727
Location: Mer méditerrannée (1 kms°)

PostPosted: Tue 09 Jun 2015, 12:32    Post_subject: Vive Tahrpup !  

Dans tahrpup, il y a tout ce qu'il faut, bien d'accord avec Did18 et Augras, qui sont des pros.
_________________
Root is the glass, Pelo wants the wine.
Back to top
View user's profile Send_private_message YIM 
jopervasco


Joined: 25 Mar 2011
Posts: 480
Location: France

PostPosted: Tue 09 Jun 2015, 12:49    Post_subject: Re: Vive Tahrpup !  

augras wrote:
Bonsoir,
Pout tahr tu as le sfs de qt5.2.1 et si besoin le devx qui va avec dans ce post : http://murga-linux.com/puppy/viewtopic.php?t=96178&start=690
J'utilise le sfs qt5.2.1 et pas de problème : tout fonctionne bien.... y compris les applix qt qui nécessitent une version 5.
Philippe


Merci @augras de l'info j'ai regardé pour installer le sfs Sad mais il y a un souci (pièce jointe)

Bien à toi Smile


did18 wrote:
Bonjour à tous

jopervasco, en général les 'packages' de Puppy Tahrpup correspondent a ceux de Ubuntu Trusty…
Pour ce qui me concerne, lorsque j'ai besoin d'un 'lib' concernant Tahpup, je vais là :

http://packages.ubuntu.com/search?keywords=libqt5

Bonne journée.


Merci @did18
c'est vrai que je ce n'est pas évident les noms liés à des ditributions et je mélange un peu tout... il faudrait qu'un jour quelqu'un fasse un beau tableau pour s' retrouver
Bien à toi Smile


Pelo wrote:
Dans tahrpup, il y a tout ce qu'il faut, bien d'accord avec Did18 et Augras, qui sont des pros.


Bonsoir @Pelo.
Installe Tahr 6.0.x et installe Calibre..
tu me diras si c'est complet et si ça fonctionne
Bien à toi Smile
montage_sfs.png
 Description   bug montage sfs
 Filesize   17.11 KB
 Viewed   95 Time(s)

montage_sfs.png


_________________
Puppy Linux vraiment sympa Smile
Back to top
View user's profile Send_private_message Visit_website 
musher0


Joined: 04 Jan 2009
Posts: 5540
Location: Gatineau (Qc), Canada

PostPosted: Tue 09 Jun 2015, 13:33    Post_subject:  

S'il me manque une lib je vais au site http://pkgs.org/, qui a tout :
archives deb ou rpm, de AltLinux à Ubuntu.

Faut juste faire attention aux versions. Bien lire la liste des dépendances, en
2e page, une fois que vous avez cliqué sur un programme :

la version du glibc de la lib que vous cherchez doit être égale ou inférieure
au glibc du Toutou pour que la nouvelle lib soit reconnue par le Toutou.

On trouve la glic du toutou en tapant en console : < ldd --version >.

_________________
"Logical entities must not be multiplied needlessly." / "Il ne faut pas multiplier les êtres logiques inutilement." (Ockham)
Back to top
View user's profile Send_private_message Visit_website 
augras

Joined: 11 Nov 2013
Posts: 1082
Location: france

PostPosted: Tue 09 Jun 2015, 13:55    Post_subject:  

Je viens de cliquer sur le sfs de qt5, le même que le tien, et moi ça fonctionne !
Je suis sous tahrpup.6.0.3, je ne sais pas si c'est important, à priori non.
Je pencherai plutôt pour un téléchargement qui s'est mal passé.
Tu peux essayer en retéléchargeant le fichier ? Et si qu'elqu'un d'autre peut essayer également ça serait pas mal.
Le fichier est celui mis à disposition dans le fil de tahrpup : je l'avais testé avec un navigateur qui voulait qt5 et tout avait bien fonctionné, et fonctionne d'ailleurs encore.
Philippe
bureau1.jpg
 Description   
 Filesize   14.47 KB
 Viewed   84 Time(s)

bureau1.jpg

Back to top
View user's profile Send_private_message 
musher0


Joined: 04 Jan 2009
Posts: 5540
Location: Gatineau (Qc), Canada

PostPosted: Tue 09 Jun 2015, 17:40    Post_subject: Re: librairies manquantes  

jopervasco wrote:
Bonjour

il m'arrive de temps en temps de vouloir installer des programmes (issu
de Debian par exemple) et souvent il manque des librairies...

Pas exemple il me manque : libQt5Network.so.5
(...)
Bien à vous

Cordialement


Salut, jopervasco.

Pour illustrer mon post concernant le dépôt universel pkgs.org, ceci
fera-t-il l'affaire ? Smile

À+

musher0

_________________
"Logical entities must not be multiplied needlessly." / "Il ne faut pas multiplier les êtres logiques inutilement." (Ockham)
Back to top
View user's profile Send_private_message Visit_website 
musher0


Joined: 04 Jan 2009
Posts: 5540
Location: Gatineau (Qc), Canada

PostPosted: Tue 09 Jun 2015, 17:46    Post_subject:  

En appui à augras, 2 post plus haut : l'archive sfs qt-5.2.1-i386 se
télécharge du site indiqué, et se monte très bien sur un Puppy 5.4.3 avec
wmx comme gest. de fen. (Illustration ci-jointe.)
qt-5.2.1-i386.sfs_monté_2015-06-09.jpg
 Description   
 Filesize   29.35 KB
 Viewed   74 Time(s)

qt-5.2.1-i386.sfs_monté_2015-06-09.jpg


_________________
"Logical entities must not be multiplied needlessly." / "Il ne faut pas multiplier les êtres logiques inutilement." (Ockham)
Back to top
View user's profile Send_private_message Visit_website 
Pelo


Joined: 10 Sep 2011
Posts: 4727
Location: Mer méditerrannée (1 kms°)

PostPosted: Wed 10 Jun 2015, 09:10    Post_subject: J'arrive, je branche une Tahrpup
Sub_title: tahrpup, la distro qui amène du nouveau.
 

et vous arrivez à faire tourner Calibre ? calibre-0.8.29-i686.sfs: 51 M dans ma boite à clous. C'est l'ancien K-office.
Je mets ma clé Tahrpup et je reviens. Je vais soutenir nos utilisateurs d'applications Qt. On pourra enfin en parler.
Ah non, c'est pour lire des livres sur ordinateur.
mon SFS Calibre ci-dessus tourne tout de go sur ma Tahrpup 6.0 sans rien rajouter. Quelle distro, cette tahrpup ! Smile une jolie base de données, une ERP (voir topic Business) et une bibliothèque en ligne.
Calibre.jpg
 Description   Jopervasco quelle adresse mets tu pour avoir un grand choix de bouquins en français ?
 Filesize   65.09 KB
 Viewed   57 Time(s)

Calibre.jpg

Calibre.jpg
 Description   Rien à faire, Calibre s'installe tout seul sur la Tahrpup 6.0
 Filesize   42.91 KB
 Viewed   58 Time(s)

Calibre.jpg


_________________
Root is the glass, Pelo wants the wine.
Back to top
View user's profile Send_private_message YIM 
Pelo


Joined: 10 Sep 2011
Posts: 4727
Location: Mer méditerrannée (1 kms°)

PostPosted: Wed 10 Jun 2015, 09:40    Post_subject: Recherche avec palemoon comme navigateur.  

Calibre : le moteur de recherche sur internet fonctionne avec Pale Moon.
J'ai tapé 'la bête humaine'. Il me l'a trouvée, celle de Zola, c'est bien, mais en allemand.
Enfin on est passé à l'étape exploitation. reste à affiner les sites de recherches.
En gros comme ce sont des logiciels allemands (KDE et Qt) il faut modifier les sites par défaut. Je ne parle pas allemand. Jopervasco ne parle pas anglais. Ce serait bêta d'être arrivé aussi loin pour ne rien comprendre aux bouquins proposés. la librairie Qt n'aurait servie à rien.
PS :
Je vous rassure, symphytum et sales force tournent entièrement en français (QT nécessaire bien sûr). Depuis le temps qu'on attendait une ERP et une base de données.
Quand je regarde, on est tous équipés de Tahrpup ! c'est l'unanimité. et que fait-on de beau avec ? en tous cas aucune des applications listées par philb 666 n'a besoin des librairies Qt... Elles tournaient du temps de Puppy 4.2.1. Oh je désespère...
". JWM, parcellite/clipit, mtpaint, sylpheed, geany, asunder, mhwaveedit, ffconvert, pavrecord, pburn, urxvt, abiword, grub4dos, isomaster, pfind, psync, sfsload and more." Oui mais la dernière version. Ou je dirais plutôt, je prends un Puppy 4..2.1 et j'ai la même chose. euh plus. La polarpup Qt écrase largement en contenu la Tahrpup, et c'est tout prêt à l'emploi. Pemasu, ya pas photo !
Gimp, Deadbeef, Umplayer, Firefox, Fotoxx with full extra supporting apps, Clementine, Qmmp, Minitunes, Handbrake, Gnome-Mplayer and a lot other stuff included.
And of course Pidgin, Xchat, Transmission.

Bon Tahrpup peut faire tourner des tas de nouveaux logiciels Qt, nouveaux pour Puppy. Philb aurait du en mettre au menu.. (ils n'ont pas le temps) pour que le client se fasse une idée.
Idem pour python, au moins mettre au menu une appli qui utilise python, pour rentabiliser les MBS. Laquelle ? ah ! Exclamation Twisted Evil
Pemasu est parti, les applis aussi.. et il savait de quoi il parlait. Sad
capture1794.png
 Description   pas bien nouveau tout çà (quickpet)
 Filesize   43.44 KB
 Viewed   45 Time(s)

capture1794.png


_________________
Root is the glass, Pelo wants the wine.
Back to top
View user's profile Send_private_message YIM 
Display_posts:   Sort by:   
Page 1 of 2 Posts_count   Goto page: 1, 2 Next
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » House Training » Users ( For the regulars ) » Pour les francophones
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1080s ][ Queries: 12 (0.0121s) ][ GZIP on ]